Skip to content

Retrieve a campaign

Request

OAuth 2.0 scope:
  • okta.governance.accessCertifications.read
Admin roles:
  • ACCESS_CERTIFICATIONS_ADMIN

Retrieves the full representation of a specific campaign.

More information is returned than the abbreviated representation in a List campaigns operation.

Path
campaignIdstringrequired

Unique identifier for the campaign

GET
/governance/api/v1/campaigns/{campaignId}
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/campaigns/{campaignId}'

Responses

A successful campaign list response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
idstring, non-emptyrequired

Unique identifier for the object

createdBystring, (okta-user-id), [ 1 .. 20 ] characters(created-by)read-onlyrequired

The id of the Okta user who created the resource

createdstring, (date-time)(created)read-onlyrequired

The ISO 8601 formatted date and time when the resource was created

lastUpdatedstring, (date-time)(last-updated)read-onlyrequired

The ISO 8601 formatted date and time when the object was last updated

lastUpdatedBystring, (okta-user-id), [ 1 .. 20 ] characters(last-updated-by)read-onlyrequired

The id of the Okta user who last updated the object

namestring, [ 1 .. 255 ] charactersrequired

Name of the campaign. Maintain some uniqueness when naming the campaign as it helps to identify and filter for campaigns when needed.

descriptionstring, <= 1000 characters

Human readable description

campaignTypestring(campaign-type)

Identifies the campaign as a resource (RESOURCE) or an identity (USER) campaign

Default:"RESOURCE"
Enum ValueDescription
RESOURCE

Certify access to resources in a campaign

USER

Certify access for an identity (user or AI agent) in a campaign

scheduleSettingsobject(schedule-settings-read-only)required

Scheduler specific settings.

A campaign can be a ONE_OFF or a RECURRING campaign.

You can't provide both in the campaign definition.

resourceSettingsobject(resource-settings-mutable)required

Resource specific properties

principalScopeSettingsobject(principal-scope-settings-mutable)

An array of Okta specific resource id for which access is being reviewed.

reviewerSettingsobject(reviewer-settings-mutable)required

Reviewer settings for the access certification campaign

notificationSettingsobject(notification-settings)

Settings for email notifications to be sent to the reviewers at different stages of a campaign. All properties are optional.

remediationSettingsobject(remediation-settings)required

Specifies the action to be taken after a reviewer makes a decision to APPROVE or REVOKE the access, or if the campaign was CLOSED and there was no response from the reviewer

recurringCampaignIdstring or null, [ 1 .. 20 ] characters

ID of the recurring campaign if this campaign was created as part of a recurring schedule.

reportingSettingsobject(reporting-settings-mutable)

Reporting properties for processing post-completed campaigns

statusstring(campaign-status)required
Enum:"SCHEDULED""LAUNCHING""ACTIVE""COMPLETED""DELETED""ERROR"
Response
Get the campaign by Id that is in scheduled state
{ "id": "ici2b0ozhrs1S9sVf0g4", "status": "SCHEDULED", "created": "2019-08-24T14:15:22Z", "createdBy": "00ub0oNGTSWTBKOLGLNR", "lastUpdated": "2019-08-24T14:15:22Z", "lastUpdatedBy": "00ub0oNGTSWTBKOLGLNR", "name": "Monthly access review of sales team", "description": "Review access of all sales team members to a specific app", "scheduleSettings": { "type": "ONE_OFF", "startDate": "2022-05-31T17:00:01.001-07:00", "endDate": "2022-06-29T17:00:01.001-07:00", "durationInDays": 30, "timeZone": "America/Los_Angeles" }, "resourceSettings": { "type": "GROUP", "targetResources": [] }, "principalScopeSettings": { "type": "USERS", "userScope": {} }, "reviewerSettings": { "type": "USER", "reviewerId": "00ub0oNGTSWTBKOLGLNR", "selfReviewDisabled": false }, "remediationSettings": { "accessApproved": "NO_ACTION", "accessRevoked": "DENY", "noResponse": "NO_ACTION" }, "_links": { "launchCampaign": {}, "endCampaign": {}, "campaignDetails": {}, "reviews": {}, "self": {} } }